In juni werd er uitvoerig bericht over een bug in de serversoftware `Apache' en over een fout in de Secure Socket Layer, kortweg SSL. SSL wordt gebruikt op webpagina's van banken en online winkels om de verbinding te versleutelen. Dit zorgt ervoor dat de gegevens veilig over het internet verstuurd kunnen worden en niet onderschept kunnen worden. In juni is er een waarschuwing uitgegaan waarin bedrijven werden opgeroepen om de Apache-software op te waarderen omdat er een lek is gevonden in bepaalde uitvoeringen van de software. Volgens een onderzoek van Netcraft is 75 procent van de Apache-SSL-servers, ondanks de waarschuwingen, nog steeds lek. Het lek in de software is eenvoudig te verhelpen door reparatiesoftware binnen te halen en uit te voeren. Systeembeheerders hebben zich volgens het onderzoek vooral gericht op de gewone uitvoering van de serversoftware, `Apache'. Bij de helft van de 22 miljoen webpagina's die op een Apache-server draaien, is het lek inmiddels gedicht. Apache-SSL is een bijzondere uitvoering van de serversoftware die bedoeld is om beveiligde webpagina's aan te kunnen bieden. Deze software wordt vooral gebruikt in e-commercetoepassingen zoals webwinkels. Het lek treft alle versies van Apache 1.2, 1.3 tot en met 1.3.24 en Apache 2 tot en met 2.0.36. Apache is veruit de meest gebruikte webserver op het internet volgens Netcraft. Wereldwijd gebruikt 66 procent een Apacheserver.